<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="resumesearch.aspx.cs" Inherits="YCHR.Web.newhr.resumesearch" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>简历搜索-<%=config.sitename %>企业招聘中心</title>
<link rel="stylesheet" type="text/css" href="<%=config.templatetheme%>/css/member.css" />
<script language="JavaScript" src="<%=config.templatetheme%>/js/jquery.js"></script>
<script type="text/javascript" src="<%=config.templatetheme%>/js/jquery.form.js"></script>
<script type="text/javascript" src="<%=config.templatetheme%>/js/core.com.js"></script>
<script type="text/javascript" src="<%=config.templatetheme%>/js/selectData.js"></script>
<script type="text/javascript" src="<%=config.templatetheme%>/js/jobsearch.js"></script>
</head>
<body>
<form id="form1" runat="server">
  <!--head-->
  <!-- #include file="include/head.html" -->
  <!--nav-->
  <div class="navbox">
    <div class="navtab">
      <ul>
        <li class="now"><a href="index.aspx">招聘中心</a></li>
        <li><a href="companyinfomodify.aspx">我的资料</a></li>
        <li><a href="account.aspx">我的账户</a></li>
        <li><a href="server_buy.aspx">增值服务</a></li>
      <li><a href="/resume" target="_blank">最新人才库</a></li>
      <li class="search"><a href="resumesearch.aspx">简历搜索</a></li>
        <li class="add"><a href="addjobs.aspx">发布职位</a></li>
      </ul>
    </div>
  </div>
  <div class="clear"> </div>
  <!--content-->
  <div class="box">
    <!--menu-->
    <div class="mb_menu">
      <dl>
        <dt class="m1"><a href="javascript:void(0);">职位管理</a></dt>
        <dd> <a href="addjobs.aspx">发布职位</a></dd>
        <dd> <a href="joblist.aspx">职位管理</a></dd>
        <dt style="margin-top: 8px"><a href="javascript:void(0);">简历搜索</a></dt>
        <dd> <a href="resumesearch.aspx" class="m2  now ">简历搜索</a></dd>
        <dd> <a href="resumeseek.aspx">简历搜索器</a></dd>
        <dt style="margin-top: 8px" class="m3"><a href="javascript:void(0);">简历管理</a></dt>
        <dd> <a href="receivedresume.aspx">收到的简历</a></dd>
        <dd> <a href="mydownresume.aspx">下载的简历</a></dd>
        <dd> <a href="sendoutinvite.aspx">发出的邀请</a></dd>
        <dd> <a href="collectresume.aspx">收藏的简历</a></dd>
        <dd> <a href="invitetemp.aspx">邀请模板管理</a></dd>
      </dl>
      <div class="ad200"> <img src="<%=config.templatetheme%>/images/member/ad2.gif" width="198" height="70" alt="ad2" /></div>
    </div>
    <!--right-->
    <div class="navmbs"> 您的位置： <a href="/">网站首页</a> > <a href="Index.aspx">招聘中心</a> > 简历搜索 > </div>
    <div class="mbbox_r">
      <div class="h5px"> </div>
      <h3> <strong>推荐查询条件</strong></h3>
      <div class="pad12">
        <div class="h5px"> </div>
        <table width="100%" border="0" cellspacing="10" cellpadding="0" class="padding3">
          <tr>
            <td width="13%" align="right"> 关键词 </td>
            <td colspan="3"><input id="keywords" maxlength="10" name="keywords" tabindex="5" type="text" runat="server"
                                class="input250" onmouseover="this.className='input251'" onmouseout="this.className='input250'"
                                style="width: 306px; float: left;" value="请输入搜索关键词" onfocus="this.value=''" /></td>
          </tr>
        </table>
        <div class="h5px"> </div>
        <h3> <a href="javascript:;" class="btn_gb" id="c1" onfocus="blur()"></a> </h3>
        <div class="h5px">
          <script>
                        document.getElementById("c1").onclick = function () {
                            if (document.getElementById("c1").className == "btn_gb")
                            {
                                document.getElementById("c2").className = "";
                                document.getElementById("c1").className = "btn_zk";
                            }
                            else if (document.getElementById("c1").className == "btn_zk")
                            {
                                document.getElementById("c2").className = "none";
                                document.getElementById("c1").className = "btn_gb";
                            }
                        }
                    </script>
        </div>
        <div id="c2" class="block">
          <table width="100%" border="0" cellspacing="10" cellpadding="0" class="padding3">
            <tr>
              <td align="right"> 职位类别 </td>
              <td width="36%"><input id="name_positionid" runat="server" name="name_positionid" type="text" value="请选择职位"
                                    class="select_add1" onmouseover="this.className='select_add2'" />
                <asp:HiddenField ID="positionid" runat="server" /></td>
              <td width="15%" align="right"> 期望地区 </td>
              <td width="36%"><input id="name_placeid" runat="server" name="name_placeid" type="text" value="请选择地区"
                                    class="select_add1" onmouseover="this.className='select_add2'" />
                <asp:HiddenField ID="placeid" runat="server" /></td>
            </tr>
            <tr>
              <td align="right"> 薪资要求 </td>
              <td><div class="left " style="position:relative;z-index:8">
                  <asp:DropDownList ID="dropsalary" CssClass="select_arr" runat="server"> </asp:DropDownList>
                  <input type="hidden" value="" id="val_dropsalary" name="val_dropsalary" runat="server">
                </div></td>
              <td align="right"> 简历更新 </td>
              <td><div class="left" style="position:relative;z-index:8">
                  <asp:DropDownList ID="dropday" runat="server" class="select_arr">
                    <asp:ListItem Value="">不限</asp:ListItem>
                    <asp:ListItem Value="1">一天内</asp:ListItem>
                    <asp:ListItem Value="3">三天内</asp:ListItem>
                    <asp:ListItem Value="7">七天内</asp:ListItem>
                    <asp:ListItem Value="15">十五天内</asp:ListItem>
                    <asp:ListItem Value="30">三十天内</asp:ListItem>
                  </asp:DropDownList>
                  <input type="hidden" value="" id="val_dropday" name="val_dropday" runat="server">
                </div></td>
            </tr>
            <tr>
              <td width="13%" align="right"> 行业类别 </td>
              <td width="36%"><input id="name_tradeid" runat="server" name="name_tradeid" type="text" value="请选择行业"
                                    class="select_add1" onmouseover="this.className='select_add2'" />
                <asp:HiddenField ID="tradeid" runat="server" /></td>
              <td width="15%" align="right">&nbsp;</td>
              <td width="36%"></td>
            </tr>
            <tr>
              <td align="right"> 学历 </td>
              <td><div style="position:relative;z-index:7">
                  <asp:DropDownList ID="dropedu" CssClass="select_arr" runat="server"> </asp:DropDownList>
                  <input type="hidden" value="" id="val_dropedu" name="val_dropedu" runat="server">
                </div></td>
              <td align="right"> 工作年限 </td>
              <td><div style="position:relative;z-index:7">
                  <asp:DropDownList ID="dropworkage" CssClass="select_arr" runat="server"> </asp:DropDownList>
                  <input type="hidden" value="" id="val_dropworkage" name="val_dropworkage" runat="server">
                </div></td>
            </tr>
            <tr>
              <td align="right"> 性别 </td>
              <td><div style="position:relative;z-index:6">
                  <asp:DropDownList ID="dropsex" class="select_arr" Style="width: 66px;" runat="server">
                    <asp:ListItem Value="">不限</asp:ListItem>
                    <asp:ListItem Value="1">男</asp:ListItem>
                    <asp:ListItem Value="0">女</asp:ListItem>
                  </asp:DropDownList>
                  <input type="hidden" value="" id="val_dropsex" name="val_dropsex" runat="server">
                </div></td>
              <td align="right"> 照片 </td>
              <td><div style="position:relative;z-index:6">
                  <asp:DropDownList ID="dropisphoto" class="select_arr" Style="width: 66px;" runat="server">
                    <asp:ListItem Value="">不限</asp:ListItem>
                    <asp:ListItem Value="1">有</asp:ListItem>
                    <asp:ListItem Value="0">无</asp:ListItem>
                  </asp:DropDownList>
                  <input type="hidden" value="" id="val_dropisphoto" name="val_dropisphoto" runat="server">
                </div></td>
            </tr>
            <tr>
              <td align="right"> 婚姻状况 </td>
              <td><div style="position:relative;z-index:5">
                  <asp:DropDownList ID="dropmarrige" class="select_arr" Style="width: 60px;" runat="server">
                    <asp:ListItem Value="">不限</asp:ListItem>
                    <asp:ListItem Value="0">未婚</asp:ListItem>
                    <asp:ListItem Value="1">已婚</asp:ListItem>
                  </asp:DropDownList>
                  <input type="hidden" value="" id="val_dropmarrige" name="val_dropmarrige" runat="server">
                </div></td>
              <td align="right"></td>
              <td></td>
            </tr>
          </table>
        </div>
        <p style="padding-left: 118px">
          <input id="ImageSearch" name="ImageSearch" type="button" class="btn_set" value="简历搜索" />
          <a href="javascript:void(0);" onclick="savesearchurl(this)" val="<%=currenturl %>"
                        class="a_blue">保存为搜索器</a><br />
          <br />
        </p>
      </div>
      <div class="jl_tab">
        <h3> <span class="left"><strong>搜索条件</strong></span> <i class="btn_close"> <%=searchcondition %> </i> </h3>
        <div class="h5px"> </div>
        <div class="title">
          <dl>
            <dd class="j1_1">
              <!--选择-->
              &nbsp;</dd>
            <dd class="j1_2">
              <!--高级 男女 有无照片-->
              &nbsp;</dd>
            <dd class="j1_3"> 姓名</dd>
            <dd class="j1_4"> 年龄</dd>
            <dd class="j1_5"> 工作经验</dd>
            <dd class="j1_6"> 所在地</dd>
            <dd class="j1_7"> 应聘职位</dd>
            <dd class="j1_8"> 学历</dd>
            <dd class="j1_9"> </dd>
            <dd class="j1_10"> 更新时间</dd>
          </dl>
        </div>
        <div class="clear"> </div>
        <ul id="list01">
          <asp:Repeater ID="replist" runat="server">
            <ItemTemplate>
              <li>
                <dl>
                  <dd class="j1_1">
                    <input type="checkbox" id="resumeid" name="resumeid" value="<%#Eval("resumeid")%>" />
                  </dd>
                  <dd class="j1_2"> <%#Eval("isphoto")%><%#Eval("type")%></dd>
                  <dd class="j1_3"> <a target="_blank" href="/hr/ResumeMultiView.aspx?resumeid=<%#Eval("resumeid")%>"> <%#Eval("realname") %></a></dd>
                  <dd class="j1_4"> <%#Eval("age") %></dd>
                  <dd class="j1_5"> <%#Eval("workage") %></dd>
                  <dd class="j1_6"> <%#Eval("live")%></dd>
                  <dd class="j1_7"> <%#Eval("position")%></dd>
                  <dd class="j1_8"> <%#Eval("edu")%></dd>
                  <dd class="j1_9"> </dd>
                  <dd class="j1_10"> <%#Eval("modtime")%></dd>
                </dl>
                <div class="h5px"> </div>
                <h5> 毕业院校：<%#Eval("graduatetschool")%></h5>
                <h5> 特点概述：<%#Eval("selfevaluation")%></h5>
                <h5> 期望薪资：<%#Eval("hopesalary")%>元/月</h5>
                <h5> 工作经验：<%#Eval("workexperience")%></h5>
              </li>
            </ItemTemplate>
          </asp:Repeater>
        </ul>
        <div class="h5px"> </div>
        <div style="padding: 4px 0 0 10px" class="left">
          <input type="checkbox" onclick="checkall(this,'#form1');" name="chkBoxAll" id="chkBoxAll" />
          全选 <a class="btn_hui" id="readresume" href="javascript:;">查看简历 </a> </div>
        <div class="page"> <%=pagestr %></div>
      </div>
      <!--content-->
    </div>
    <div class="clear"> </div>
  </div>
  <script type="text/javascript" src="<%=config.templatetheme%>/js/jquery.scrollablecombo.js"></script>
  <script type="text/javascript">
        $(document).ready(function () {
            $('#dropmarrige').scrollablecombo();
            $('#dropisphoto').scrollablecombo();
            $('#dropsex').scrollablecombo();
            $('#dropworkage').scrollablecombo();
            $('#dropedu').scrollablecombo();
            $('#dropsalary').scrollablecombo();
            $('#dropday').scrollablecombo();
            $('#name_placeid').bindArea({
                max: 1,
                formInputName: 'placeid'
            });
            //行业
            $('#name_tradeid').bindCalling({
                max: 1,
                formInputName: 'tradeid'
            });
            //职位类别
            $('#name_positionid').bindJobsort({
                max: 1,
                formInputName: 'positionid'
            });
        });
        $("#readresume").click(function () {
            if (!checkBoxSel('resumeid', '.jl_tab'))
            {
                alert("请选择简历");
                return;
            }
            var resumeidstr = $(".jl_tab").find("input[name=resumeid]:checked").fieldSerialize();
            window.open("resumemultiview.aspx?" + resumeidstr);
        });

        $("#ImageSearch").click(function () {
            var keywords;
            if ($("#keywords").val() == "请输入搜索关键词" || $("#keywords").val() == "")
                keywords = "";
            else
                keywords = $("#keywords").val();
            var querys = [];
            var url = "/hr/resumesearch.aspx";
        
            querys.push("tradeid=" + $("#tradeid").val());
            querys.push("positionid=" + $("#positionid").val());
            querys.push("placeid=" + $("#placeid").val());
            querys.push("day=" + $("#val_dropday").val());
            querys.push("workage=" + $("#val_dropworkage").val());
            querys.push("salary=" + $("#val_dropsalary").val());
            querys.push("isphoto=" + $("#val_dropisphoto").val());
            querys.push("edu=" + $("#val_dropedu").val());
            querys.push("sex=" + $("#val_dropsex").val());
            querys.push("marrige=" + $("#val_dropmarrige").val());
            querys.push("keywords=" + escape(keywords));
            window.location.href = url + "?" + querys.join("&");
            return false;
        });
        function savesearchurl(obj) {
            var crurl = $(obj).attr("val");
            if (crurl == "")
            {
                alert("你还没选择任何搜索条件");
                return;
            }
            var url = "/hr/companycontent.aspx" + crurl;
            url += "&operate=savesearchurl";
            App.get(url, function (res) {

                if (res.type == "login")
                {
                    POPS["login_box"] = App.html(res.content, "企业登录", 400, 320);
                }
                else if (res.type == "savesearchurl")
                {
                    POPS["savesearch"] = App.html(res.content, "保存搜索器", 450, 250);
                }
                else
                {
                    alert(res.message);
                }
            });
        }

        /*保存搜索器*/
        function post_savesearchurl() {
            $("#form_savesearchurl").find("input[type='submit']").attr("disabled", true);
            App.form($("#form_savesearchurl")[0], function (res) {
                if (res.error == 1)
                {
                    alert("保存搜索器数据出错了");
                } else
                {
                    alert("保存成功");
                }
                POPS["savesearch"].close();
            });
            return false;

        }
        function clearsearchcondition(type, obj) {

            switch (type)
            {
                case "sex":
                    $('#val_dropsex').val(''); break;
                case "edu":
                    $('#val_dropedu').val(''); break;
                case "positionid":
                    $('#positionid').val(''); break;
                case "placeid":
                    $('#placeid').val(''); break;
                case "tradeid":
                    $('#tradeid').val(''); break;
                case "salary":
                    $('#val_dropsalary').val(''); break;
                case "day":
                    $('#val_dropday').val(''); break;
                case "val_dropedu":
                    $('#val_dropedu').val(''); break;
                case "workage":
                    $('#val_dropworkage').val(''); break;
                case "sex":
                    $('#val_dropsex').val(''); break;
                case "isphoto":
                    $('#val_dropisphoto').val(''); break;
                case "marrige":
                    $('#val_dropmarrige').val(''); break;
            }
            $(obj).remove();
            $('#ImageSearch').click();
        }
    </script>
  <!-- #include file="include/foot.html" -->
</form>
</body>
</html>
